# Source: 010-message-broker-amq.yaml
apiVersion: broker.amq.io/v1beta1
kind: ActiveMQArtemis
metadata:
  name: brokeramq
spec:
  adminUser: "admin"
  adminPassword: "secret"
  console:
    expose: true
  deploymentPlan:
    readinessProbe:
      exec:
        command:
# Check Queue with Produce/Consume
          - /home/jboss/amq-broker/bin/artemis
          - check
          - queue
          - '--name'
          - readinessqueue
          - '--produce'
          - '1'
          - '--consume'
          - '1'
          - '--silent'
          - '--user'
          - batch-user
          - '--password'
          - mysecret
      initialDelaySeconds: 30
      timeoutSeconds: 5
    size: 1
    clustered: false
    image: "placeholder"
    persistenceEnabled: true
    requireLogin: true
    journalType: nio
    jolokiaAgentEnabled: true
    enableMetricsPlugin: false
    resources:
      limits:
        cpu: "1"
        memory: 2048M
      requests:
        cpu: "1"
        memory: 2048M
    storage:
      size: "2Gi"
  acceptors:
    - name: "internal"
      protocols: "core,openwire"
      port: 61616